Bug 1120094 - rawstudio: Insecure use of temporary file [fedora-all]
Summary: rawstudio: Insecure use of temporary file [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rawstudio
Version: 20
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Gianluca Sforna
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: CVE-2014-4978
TreeView+ depends on / blocked
 
Reported: 2014-07-16 09:24 UTC by Vasyl Kaigorodov
Modified: 2015-07-18 02:03 UTC (History)
3 users (show)

Fixed In Version: rawstudio-2.1-0.1.20150511git983bda1.fc22
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:36:07 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-07-16 09:24:15 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, use the bodhi submission link noted
in the next comment(s).  This will include the bug IDs of this tracking
bug as well as the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
Bodhi notes field when available.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-07-16 09:24:18 UTC
Use the following update submission link to create the Bodhi request for
this issue as it contains the top-level parent bug(s) as well as this
tracking bug.  This will ensure that all associated bugs get updated when
new packages are pushed to stable.

IMPORTANT: ensure that the "Close bugs when update is stable" option
remains checked.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1120093,1120094

Comment 2 Anders Brander 2014-12-03 07:49:46 UTC
Fixed upstream:
https://github.com/rawstudio/rawstudio/commit/9c2cd3c93c05d009a91d84eedbb85873b0cb505d

- but IMO the fix is not very important. End users cannot call this without adding a "FilterGraph" menuitem to ui.xml.

Comment 3 Fedora Update System 2015-05-13 18:25:48 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/rawstudio-2.1-0.1.20150511git983bda1.fc22

Comment 4 Fedora Update System 2015-05-13 18:28:38 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/rawstudio-2.1-0.1.20150511git983bda1.fc21

Comment 5 Fedora Update System 2015-05-13 18:29:30 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rawstudio-2.1-0.1.20150511git983bda1.fc20

Comment 6 Fedora Update System 2015-05-14 11:15:09 UTC
Package rawstudio-2.1-0.1.20150511git983bda1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rawstudio-2.1-0.1.20150511git983bda1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-8159/rawstudio-2.1-0.1.20150511git983bda1.fc20
then log in and leave karma (feedback).

Comment 7 Fedora End Of Life 2015-05-29 12:23:11 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2015-06-30 01:36:07 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 9 Fedora Update System 2015-07-18 01:58:30 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2015-07-18 02:03:03 UTC
rawstudio-2.1-0.1.20150511git983bda1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.